import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;


public class FileUtility {
	
	public static final String DEFAULT_FILE_NAME = "C:\\testSerialization.txt";
	
	public static void writeToFile(String fileName, byte[] bytes) throws IOException{
		FileOutputStream fos = new FileOutputStream(fileName);
		fos.write(bytes);
		fos.close();
	}
	
	public static byte[] readFromFile(String fileName) throws IOException{
		byte[] bytes;
		File file = new File(fileName);
		InputStream is = new FileInputStream(file);
	    
        long length = file.length();
    
        if (length > Integer.MAX_VALUE) {
            // File is too large
        }
    
        bytes = new byte[(int)length];
    
        int offset = 0;
        int numRead = 0;
        while (offset < bytes.length
               && (numRead=is.read(bytes, offset, bytes.length-offset)) >= 0) {
            offset += numRead;
        }
    
        if (offset < bytes.length) {
            throw new IOException("Could not completely read file "+file.getName());
        }

        is.close();		
		return bytes;
	}
}
